aboutsummaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorJohannes Löthberg <johannes@kyriasis.com>2014-11-04 17:12:18 +0100
committerJohannes Löthberg <johannes@kyriasis.com>2014-11-04 17:12:18 +0100
commit8413ae92969400c687e0dac404be0359bccc9aed (patch)
treea2d1a22ac53769efc6a39297d9b7d6f414e9d285 /autogen.sh
downloadyawa-8413ae92969400c687e0dac404be0359bccc9aed.tar.xz
Import hsetroot-1.0.2.tar.gz
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..45a5ad4
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+# autogen script for fluxbox.
+
+dothis() {
+ echo "Executing: $*"
+ echo
+ if ! $* ;then
+ echo -e '\n ERROR: Carefully read the error message and'
+ echo ' try to figure out what went wrong.'
+ exit 1
+ fi
+}
+
+libtoolize --copy --force --automake
+rm -f config.cache
+dothis aclocal -I .
+dothis autoheader
+dothis automake -a
+dothis autoconf
+
+echo 'Succes, now continue with ./configure'
+echo 'Use configure --help for detailed help.'